Subject: Re: bug#45821: Emacs UDP support on Windows

From: Robert Pluim <[email-masked]>
Date: Thu, 12 Jan 2023 11:24:45 +0100

>>>>> On Thu, 12 Jan 2023 12:08:54 +0200, Eli Zaretskii <[email-masked]> said:

    Eli> The environment should be native Windows, not WSL.  WSL is Unix
    Eli> running in a VM.

    Eli> As for "using MSYS2", if that boils down to invoking Emacs from the
    Eli> MSYS2 Bash prompt, it is still native Windows, and should not affect
    Eli> the tests.

Yes, thatʼs what I do. And the tests hang for me because gnutls-serv
crashes, which is nothing to do with Emacs.

Is it worth me trying to get emacs and the tests to run from cmd.exe?
At the moment that has dll problems, but Iʼm sure theyʼre fixable.

Robert
--